%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Summary: KLyX - a word processor for the K Desktop Environment
Name: klyx
Version: 0.10.0
Release: 8
License: GPL
Source: ftp://ftp.kde.org/pub/kde/unstable/apps/office/%{name}-%{version}.tar.gz
Source1: config.sub.alphaev6
Patch0: klyx-0.10.0-gcc.patch
Group: Applications/Productivity
URL: http://www.devel.lyx.org/~ettrich/klyx.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: tetex tetex-latex tetex-dvips ghostscript
BuildPrereq: kdelibs-devel
Prefix: %{kdeprefix}
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
ExcludeArch: ia64

%description
A word processor for the K Desktop Environment that is based
on LyX and uses LaTeX as its background formatting engine.

%prep
%setup -q
%patch0 -p1 -b .gcc

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure --prefix=%{kdeprefix} \
	--with-qt-dir=%{qtdir} \
	--with-install-root=$RPM_BUILD_ROOT
make -j $CPUS

%install
rm -rf $RPM_BUILD_ROOT

make install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > \
	$RPM_BUILD_DIR/file.list.%{name} 

find . -type f | sed -e 's|^\.|\%attr(-,root,root) |' \
        -e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> \
	$RPM_BUILD_DIR/file.list.%{name}      

%clean
rm -rf $RPM_BUILD_ROOT ../file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- move back to powertools (now kde1 is installed as default)
- rebuilt against the kdelibs-1.1.2

* Mon Jun 12 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile
- fix to build with the new gcc-2.96

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 1.45
- fix build on alpha

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- adapted for powertools 6.1

* Fri Sep 10 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt/relinked with latest Cassini kdelibs.

* Mon Sep 06 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.10.0.

* Fri Jul 30 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt for Cooker.
- added teTeX and ghostscript dependencies.

* Tue Oct 06 1998 Fabio Coatti <cova@felix.unife.it>
- fixed installation directory files list

* Fri Oct 02 1998 Fabio Coatti <cova@felix.unife.it>
- fixed QT libs version requirements

* Thu Oct 01 1998 Fabio Coatti <cova@felix.unife.it>
- Added patch for print bug
- modified the file section
- added the italian description
